Subject: bug#72692: Emacs 31.05 (40eecd594ac) get SIGSEGV on Linux (Linux 6.6.45 Kde Wayland)

From: Pip Cet <[email-masked]>
Date: Sun, 25 Aug 2024 18:49:17 +0000

"Juri Linkov" <[email-masked]> writes:

>>> > I decided to go with this change only, and installed it on the
>>> > emacs-30 release branch.  Let's hope it makes this tricky problem go
>>> > away.
>>>
>>> Just to be clear on that, we're going with this fix on both emacs-30 and
>>> master, right?  (I'd like that very much.)
>>
>> Every change on the release branch gets merged to master, unless
>> specifically marked otherwise.
>
> Unfortunately, after the release branch was merged to master now,
> it's impossible to use Emacs with this change because point motion
> is too jumpy and not as smooth as it was before.
> Reverting this line fixes the problem:
>
> -      f->face_change = true;

Which OS is this on?  I'm having weird trouble when running the Windows
binary in wine, which I attribute to this change: when menu-bar-mode is
on, the Emacs frame raises itself whenever it loses focus.

I see Eli reverted the change, which makes sense for now.  We'll have to
find another way to fix this, I think.

Pip